io.vertx.rxjava.core.datagram

## Class DatagramPacket

- java.lang.Object
- - io.vertx.rxjava.core.datagram.DatagramPacket

-     public class DatagramPacket
      extends Object

  A received datagram packet (UDP) which contains the data and information about the sender of the data itself.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<DatagramPacket>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatagramPacket(DatagramPacket delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Buffer` | `data()` Returns the data of the `DatagramPacket`
    `DatagramPacket` | `getDelegate()`
    `static DatagramPacket` | `newInstance(DatagramPacket arg)`
    `SocketAddress` | `sender()` Returns the `SocketAddress` of the sender that sent this `DatagramPacket`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<DatagramPacket> __TYPE_ARG

  - ### Constructor Detail

    - #### DatagramPacket

          public DatagramPacket(DatagramPacket delegate)

  - ### Method Detail

    - #### getDelegate

          public DatagramPacket getDelegate()

    - #### sender

          public SocketAddress sender()

      Returns the `SocketAddress` of the sender that sent this `DatagramPacket`.
      Returns:
        the address of the sender

    - #### data

          public Buffer data()

      Returns the data of the `DatagramPacket`
      Returns:
        the data

    - #### newInstance

          public static DatagramPacket newInstance(DatagramPacket arg)

Copyright © 2017. All rights reserved.